using RobotNet.WebApp.Charts.Models.BarChart.Axes;
using System.Text.Json.Serialization;

namespace RobotNet.WebApp.Charts.Models.ComboBarLineChart;

public class ComboBarLineScales
{
    [JsonIgnore(Condition = JsonIgnoreCondition.WhenWritingNull)]
    public ChartAxes? X { get; set; } = new();

    [JsonIgnore(Condition = JsonIgnoreCondition.WhenWritingNull)]
    public ChartAxes? Y { get; set; } = new();

    [JsonIgnore(Condition = JsonIgnoreCondition.WhenWritingNull)]
    public ChartAxes? Y1 { get; set; }
}
